<?
/*******************************************************************************
*    Password Reminder 1.0.                                                    *
*    Using DB Framwork for PHP  1.0.                                           *
*    Copyright (C) 2002 Luca Bertoncello                                       *
*    Waltherstrae, 11D - 01067 Dresden Deutschland                            *
*    E-Mail: lucabert@lucabert.com, lucabert@lucabert.de                       *
*    http://www.lucabert.com/  http://www.lucabert.de/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

require('session.inc.php');
$lang = $session[language];
switch($lang)
  {
    case 'de':
      $confirmDeleteStr = 'Bitte besttigen!';
      $titleStr         = 'Passwrter des Nutzers';
      $hostStr          = 'Host';
      $nameStr          = 'Name';
      $viewPwdStr       = 'Zeigen';
      $modifyPwdStr     = 'ndern';
      $deletePwdStr     = 'Lschen';
      $newPwdStr        = 'Neues Passwort anlegen';
      $logoutStr        = 'Ausloggen';
    break;
    case 'en':
      $confirmDeleteStr = 'Please confirm!';
      $titleStr         = 'Passwords of user';
      $hostStr          = 'Host';
      $nameStr          = 'Name';
      $viewPwdStr       = 'View';
      $modifyPwdStr     = 'Modify';
      $deletePwdStr     = 'Remove';
      $newPwdStr        = 'Create new password';
      $logoutStr        = 'Logout';
    break;
    case 'it':
      $confirmDeleteStr = 'Confermare la cancellazione!';
      $titleStr         = 'Password dell\'utente';
      $hostStr          = 'Host';
      $nameStr          = 'Nome';
      $viewPwdStr       = 'Visualizza';
      $modifyPwdStr     = 'Modifica';
      $deletePwdStr     = 'Cancella';
      $newPwdStr        = 'Crea nuova password';
      $logoutStr        = 'Logout';
    break;
  }
?>
<HTML>
<SCRIPT Language="JavaScript">
function deletePassword(sid, idPwd)
{
  if(confirm("<? print $confirmDeleteStr; ?>"))
    {
      document.location = "removePassword.php?sid=" + sid + "&idPassword=" + idPwd;
    }
}
</SCRIPT>
<TITLE>Password Reminder</TITLE>
<BODY BGCOLOR="#DDFEFF">
  <CENTER>
    <H2><? print stripslashes(htmlentities($titleStr)); ?> '<? print $user; ?>'</H2><HR>
    <TABLE WIDTH="600" BORDER="1">
      <TR>
        <TH WIDTH="100"><? print $hostStr; ?></TH>
        <TH WIDTH="350"><? print $nameStr; ?></TH>
        <TH WIDTH="150">&nbsp;</TH>
      </TR>
<?
dbConnect();

$query        = "SELECT Id FROM passReminder WHERE User='$user'";
$result       = dbQuery($query) or dbError('passReminder', 'Query failed');

while($rs = dbFetch($result))
  {
    $pass     = new PassReminder($rs->Id);
?>
      <TR>
        <TD><? print stripslashes(htmlentities($pass->host())); ?></TD>
        <TD><? print stripslashes(htmlentities($pass->name())); ?></TD>
        <TD>
          <?
            print "<A HREF=\"viewPassword.php?sid=".session_id()."&idPassword=".$pass->id()."\">".stripslashes(htmlentities($viewPwdStr))."</A>&nbsp;&nbsp;&nbsp;&nbsp;";
            print "<A HREF=\"modifyPassword.php?sid=".session_id()."&idPassword=".$pass->id()."\">".stripslashes(htmlentities($modifyPwdStr))."</A>&nbsp;";
            print "<A HREF=\"javascript:deletePassword('".session_id()."', ".$pass->id().")\">".stripslashes(htmlentities($deletePwdStr))."</A>";
          ?>
        </TD>
      </TR>
<?
  }

dbDisconnect();
?>
    </TABLE>
    <HR>
    <A HREF="newPassword.php?sid=<? print session_id(); ?>"><? print stripslashes(htmlentities($newPwdStr)); ?></A>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
    <A HREF="logout.php?sid=<? print session_id(); ?>"><? print stripslashes(htmlentities($logoutStr)); ?></A>
  </CENTER>
</BODY>
</HTML>