<?
/*******************************************************************************
*    Password Reminder 1.0.                                                    *
*    Using DB Framwork for PHP  1.0.                                           *
*    Copyright (C) 2002 Luca Bertoncello                                       *
*    Waltherstrae, 11D - 01067 Dresden Deutschland                            *
*    E-Mail: lucabert@lucabert.com, lucabert@lucabert.de                       *
*    http://www.lucabert.com/  http://www.lucabert.de/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

ini_set("session.auto_start", "0");
ini_set("session.use_cookies", "0");
session_start();

require('db.inc.php');

session_register("session");

function getPasswordForUser($login)
{
  global $passFile;

  $pwd                  = '';
  if($login != '')
    {
      $fp                   = fopen($passFile, "r");
      while(!feof($fp) && ($pwd == ''))
        {
          $line             = fgets($fp, 100);
          if(strstr($line, $login) != FALSE)
            {
              $pwd          = strstr($line, ':');
              $pwd          = substr($pwd, 1, strlen($pwd) - 2);
            }
        }
      fclose($fp);
    }

  return $pwd;
}

$error = 0;
if($action == 'login')
  {
    $passCr             = getPasswordForUser($login);
    if(crypt($password, $passCr) == $passCr)
      {
        $session[host]      = ${'REMOTE_ADDR'};
        $session[user]      = $login;
        $session[language]  = $lang;
        header("LOCATION: listPassword.php?sid=".session_id());
      }
    else
      $error = 1;
  }

if($lang == '')
  {
    $tok          = strtok($GLOBALS['HTTP_ACCEPT_LANGUAGE'], "[-,]");
    while($lang == '')
      {
        if(($tok == 'de') ||
           ($tok == 'en') ||
           ($tok == 'it'))
          $lang = $tok;
        $tok      = strtok("[-,]");
        if($tok == '')
          $lang   = 'de';
      }
    if($lang == '')
      $lang = 'de';
  }

switch($lang)
  {
    case 'de':
      $givePwdStr     = 'Bitte geben Sie ein Login und Passwort ein!';
      $invalidPwdStr  = 'Ungultiges Login oder Passwort!';
      $warningStr     = 'Achtung!';
      $loginStr       = 'Login';
      $passwordStr    = 'Passwort';
      $loginActionStr = 'Einloggen';
    break;
    case 'en':
      $givePwdStr     = 'Insert a login and a password!';
      $invalidPwdStr  = 'Invalid login or password!';
      $warningStr     = 'Warning!';
      $loginStr       = 'Login';
      $passwordStr    = 'Password';
      $loginActionStr = 'Login';
    break;
    case 'it':
      $givePwdStr     = 'Inserire una login e una password!';
      $invalidPwdStr  = 'Login o password non valida!';
      $warningStr     = 'Attenzione!';
      $loginStr       = 'Login';
      $passwordStr    = 'Password';
      $loginActionStr = 'Login';
    break;
  }
?>
<HTML>
<TITLE>Password Reminder</TITLE>
<SCRIPT Language="JavaScript">

function init(where)
{
  if(where == 'login')
    document.loginForm.login.focus();
  else
    document.loginForm.password.focus();
}

</SCRIPT>

<BODY BGCOLOR="#DDFEFF" onLoad="init('<? if($error == 0) print "login"; else print "password"; ?>');">
  <CENTER>
    <H2><? print $warningStr; ?></H2><HR>
<?
  if($error == 1)
    {
?>
    <B><? print $invalidPwdStr; ?></B><BR><BR>
<?
    }
?>
    <B><? print $givePwdStr; ?></B>
    <FORM ACTION="<? print $PHP_SELF; ?>?lang=<? print $lang; ?>&sid=<? print session_id(); ?>" METHOD="POST" NAME="loginForm">
      <INPUT TYPE="HIDDEN" NAME="action" VALUE="login">
      <TABLE WIDTH="50%">
        <TR>
          <TD WIDHT="30%" ALIGN="LEFT"><? print $loginStr; ?>:</TD>
          <TD WIDHT="70%" ALIGN="RIGHT"><INPUT TYPE="TEXT" NAME="login" SIZE="30" VALUE="<? print $login; ?>"></TD>
        </TR>
        <TR>
          <TD WIDHT="30%" ALIGN="LEFT"><? print $passwordStr; ?>:</TD>
          <TD WIDHT="70%" ALIGN="RIGHT"><INPUT TYPE="PASSWORD" NAME="password" SIZE="30"></TD>
        </TR>
        <TR>
          <TD WIDHT="30%" ALIGN="LEFT">&nbsp;</TD>
          <TD WIDHT="70%" ALIGN="RIGHT"><A HREF="javascript:document.loginForm.submit();"><? print $loginActionStr; ?></TD>
        </TR>
      </TABLE>
    </FORM>
    <HR>
    <TABLE WIDTH="250" BORDER="0">
      <TR>
<?
switch($lang)
  {
    case 'de':
?>
        <TD WIDTH="33%" ALIGN="LEFT"><A HREF="<? print $PHP_SELF; ?>?lang=de&sid=<? print session_id(); ?>"><IMG SRC="deutsch.gif" BORDER="0" ALT="Deutsche Seiten"></A></TD>
        <TD WIDTH="33%" ALIGN="CENTER"><A HREF="<? print $PHP_SELF; ?>?lang=en&sid=<? print session_id(); ?>"><IMG SRC="english.gif" BORDER="0" ALT="English pages"></A></TD>
        <TD WIDTH="33%" ALIGN="RIGHT"><A HREF="<? print $PHP_SELF; ?>?lang=it&sid=<? print session_id(); ?>"><IMG SRC="italiano.gif" BORDER="0" ALT="Pagine in italiano"></A></TD>
<?
    break;
    case 'en':
?>
        <TD WIDTH="33%" ALIGN="LEFT"><A HREF="<? print $PHP_SELF; ?>?lang=en&sid=<? print session_id(); ?>"><IMG SRC="english.gif" BORDER="0" ALT="English pages"></A></TD>
        <TD WIDTH="33%" ALIGN="CENTER"><A HREF="<? print $PHP_SELF; ?>?lang=de&sid=<? print session_id(); ?>"><IMG SRC="deutsch.gif" BORDER="0" ALT="Deutsche Seiten"></A></TD>
        <TD WIDTH="33%" ALIGN="RIGHT"><A HREF="<? print $PHP_SELF; ?>?lang=it&sid=<? print session_id(); ?>"><IMG SRC="italiano.gif" BORDER="0" ALT="Pagine in italiano"></A></TD>
<?
    break;
    case 'it':
?>
        <TD WIDTH="33%" ALIGN="LEFT"><A HREF="<? print $PHP_SELF; ?>?lang=it&sid=<? print session_id(); ?>"><IMG SRC="italiano.gif" BORDER="0" ALT="Pagine in italiano"></A></TD>
        <TD WIDTH="33%" ALIGN="CENTER"><A HREF="<? print $PHP_SELF; ?>?lang=de&sid=<? print session_id(); ?>"><IMG SRC="deutsch.gif" BORDER="0" ALT="Deutsche Seiten"></A></TD>
        <TD WIDTH="33%" ALIGN="RIGHT"><A HREF="<? print $PHP_SELF; ?>?lang=en&sid=<? print session_id(); ?>"><IMG SRC="english.gif" BORDER="0" ALT="English pages"></A></TD>
<?
    break;
  }
?>
      </TR>
    </TABLE>
  </CENTER>
</BODY>
</HTML>
