<?
/*******************************************************************************
*    Password Reminder 1.0.                                                    *
*    Using DB Framwork for PHP  1.0.                                           *
*    Copyright (C) 2002 Luca Bertoncello                                       *
*    Waltherstrae, 11D - 01067 Dresden Deutschland                            *
*    E-Mail: lucabert@lucabert.com, lucabert@lucabert.de                       *
*    http://www.lucabert.com/  http://www.lucabert.de/                         *
*                                                                              *
*    This program is free software; you can redistribute it and/or modify      *
*    it under the terms of the GNU General Public License as published by      *
*    the Free Software Foundation; version 2 of the License.                   *
*                                                                              *
*    This program is distributed in the hope that it will be useful,           *
*    but WITHOUT ANY WARRANTY; without even the implied warranty of            *
*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             *
*    GNU General Public License for more details.                              *
*                                                                              *
*    You should have received a copy of the GNU General Public License         *
*    along with this program; if not, write to the Free Software               *
*    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA *
*******************************************************************************/

require('session.inc.php');
$lang = $session[language];
switch($lang)
  {
    case 'de':
      $titleStr         = 'Passwort ndern';
      $noHostStr        = 'Host nicht eingegeben';
      $noNameStr        = 'Name nicht eingegeben';
      $noLoginStr       = 'Login nicht eingegeben';
      $noPasswordStr    = 'Passwort nicht eingegeben';
      $errorStr         = 'Es gibt Fehler';
      $hostStr          = 'Host';
      $nameStr          = 'Name';
      $loginStr         = 'Login';
      $passwordStr      = 'Passwort';
      $commentStr       = 'Bemerkungen';
      $cancelStr        = 'Zurck';
      $modifyStr        = 'Aktualisieren';
    break;
    case 'en':
      $titleStr         = 'Modify password';
      $noHostStr        = 'Host not given';
      $noNameStr        = 'Name not given';
      $noLoginStr       = 'Login not given';
      $noPasswordStr    = 'Password not given';
      $errorStr         = 'There are errors';
      $hostStr          = 'Host';
      $nameStr          = 'Name';
      $loginStr         = 'Login';
      $passwordStr      = 'Password';
      $commentStr       = 'Note';
      $cancelStr        = 'Cancel';
      $modifyStr        = 'Modify';
    break;
    case 'it':
      $titleStr         = 'Modifica password';
      $noHostStr        = 'Host non inserito';
      $noNameStr        = 'Nome non inserito';
      $noLoginStr       = 'Login non inserita';
      $noPasswordStr    = 'Password non inserita';
      $errorStr         = 'Errori';
      $hostStr          = 'Host';
      $nameStr          = 'Nome';
      $loginStr         = 'Login';
      $passwordStr      = 'Password';
      $commentStr       = 'Commenti';
      $cancelStr        = 'Annulla';
      $modifyStr        = 'Modifica';
    break;
  }
?>
<HTML>
<TITLE>Password Reminder</TITLE>
<BODY BGCOLOR="#DDFEFF">
  <?
    dbConnect();
    $pass     = new PassReminder($idPassword);
    dbDisconnect();
    if($action != 'modify')
      {
        $host         = $pass->host();
        $name         = $pass->name();
        $login        = $pass->login();
        $password     = $pass->password();
        $description  = $pass->description();
      }
    $modified     = 0;
  ?>
  <CENTER><H2><? print stripslashes(htmlentities($titleStr)); ?></H2></CENTER><HR>
  <?
    $error        = '';

    if($action == 'modify')
      {
        if($host == '')
          $error .= stripslashes(htmlentities($noHostStr)).'<br>';
        if($name == '')
          $error .= stripslashes(htmlentities($noNameStr)).'<br>';
        if($login == '')
          $error .= stripslashes(htmlentities($noLoginStr)).'<br>';
        if($password == '')
          $error .= stripslashes(htmlentities($noPasswordStr)).'<br>';

        if($error == '')
          {
            dbConnect();
            $pass->setHost($host);
            $pass->setName($name);
            $pass->setLogin($login);
            $pass->setPassword($password);
            $pass->setDescription($description);
            $pass->save();
            dbDisconnect();
            $modified  = 1;
          }
        else
          {
?>
  <H2><? print stripslashes(htmlentities($errorStr)); ?>:</H2>
  <? print $error; ?>
  <HR>
<?
          }
      }
  ?>
  <?
    if($modified == 0)
      {
  ?>
  <FORM ACTION="<? print $PHP_SELF; ?>?sid=<? print session_id(); ?>&idPassword=<? print $idPassword; ?>" METHOD="POST" NAME="chgPasswordForm">
    <INPUT TYPE="HIDDEN" NAME="action" VALUE="modify">
    <CENTER>
      <TABLE WIDTH="50%">
        <TR>
          <TD WIDHT="30%" ALIGN="LEFT"><? print $hostStr ?>:</TD>
          <TD WIDHT="70%" ALIGN="RIGHT"><INPUT TYPE="TEXT" NAME="host" SIZE="30" MAXLENGTH="255" VALUE="<? print $host; ?>"></TD>
        </TR>
        <TR>
          <TD WIDHT="30%" ALIGN="LEFT"><? print $nameStr ?>:</TD>
          <TD WIDHT="70%" ALIGN="RIGHT"><INPUT TYPE="TEXT" NAME="name" SIZE="30" MAXLENGTH="255" VALUE="<? print $name; ?>"></TD>
        </TR>
        <TR>
          <TD WIDHT="30%" ALIGN="LEFT"><? print $loginStr ?>:</TD>
          <TD WIDHT="70%" ALIGN="RIGHT"><INPUT TYPE="TEXT" NAME="login" SIZE="30" MAXLENGTH="20" VALUE="<? print $login; ?>"></TD>
        </TR>
        <TR>
          <TD WIDHT="30%" ALIGN="LEFT"><? print $passwordStr ?>:</TD>
          <TD WIDHT="70%" ALIGN="RIGHT"><INPUT TYPE="TEXT" NAME="password" SIZE="30" MAXLENGTH="20" VALUE="<? print $password; ?>"></TD>
        </TR>
        <TR>
          <TD WIDHT="30%" ALIGN="LEFT" VALIGN="TOP"><? print $commentStr ?>:</TD>
          <TD WIDHT="70%" ALIGN="RIGHT" VALIGN="TOP">
            <TEXTAREA WRAP="Virtual" NAME="description" ROWS="5" COLS="27"><? print $description; ?></TEXTAREA>
          </TD>
        </TR>
        <TR>
          <TD WIDHT="30%" ALIGN="LEFT"><A HREF="listPassword.php?sid=<? print session_id(); ?>"><? print stripslashes(htmlentities($cancelStr)); ?></A></TD>
          <TD WIDHT="70%" ALIGN="RIGHT"><A HREF="javascript:document.chgPasswordForm.submit();"><? print stripslashes(htmlentities($modifyStr)); ?></TD>
        </TR>
      </TABLE>
    </CENTER>
  </FORM>
<?
      }
    else
      {
        switch($lang)
          {
            case 'de':
              print"  <CENTER>\n    <H2>Passwort aktualisiert!</H2><BR><BR>\n    Zur&uuml;ck zur <A HREF=\"listPassword.php?sid=".session_id()."\">Liste</A>\n  </CENTER>\n";
            break;
            case 'en':
              print"  <CENTER>\n    <H2>Password updated!</H2><BR><BR>\n    Back to the <A HREF=\"listPassword.php?sid=".session_id()."\">List</A>\n  </CENTER>\n";
            break;
            case 'it':
              print"  <CENTER>\n    <H2>Password modificata!</H2><BR><BR>\n    Ritorna alla <A HREF=\"listPassword.php?sid=".session_id()."\">Lista</A>\n  </CENTER>\n";
            break;
          }
      }
?>
</BODY>
</HTML>
